# Searches for applications using predefined parameters Searches for applications using predefined parameters Endpoint: POST /applications/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `date` (array) - `id` (array) IDs to search - `membership_package_id` (array) - `membership_type_id` (array) - `name` (string) - `owner_type` (string) - `status` (array) - `status_reason_id` (array) - `type` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.date` (string) - `Items.id` (string) - `Items.membership_package_id` (string) - `Items.membership_type_id` (string) - `Items.name` (string) - `Items.owner_type` (string) - `Items.status` (string) - `Items.status_reason_id` (string) - `Items.type` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields